Subject: bug#40250: 26.3; gdb-mode incorrectly handles gdb's `explore' command

From: Vladimir Nikishkin <[email-masked]>
Date: Mon, 30 Mar 2020 22:49:28 +0800

I'm not sure it matters much. The main thing is that exploration works now.

пн, 30 мар. 2020 г. в 22:46, Vladimir Nikishkin <[email-masked]>:
>
> https://imgur.com/KaT64HS.png
>
> I'm not exactly sure why and when this happens. For example, in this
> case I had to increase the magnification for this effect to manifest
> itself. But the point is that the query line is centre-justified,
> rather than being right-justified.
>
> Maybe this doesn't happen when the font is smaller, but I am quite
> short-sighted.
>
> пн, 30 мар. 2020 г. в 22:15, Eli Zaretskii <[email-masked]>:
> >
> > > From: Vladimir Nikishkin <[email-masked]>
> > > Date: Mon, 30 Mar 2020 22:06:27 +0800
> > >
> > > Well, this seems to be working.
> >
> > Thanks, I will install it soon (it needs some more work, to support
> > abbreviations ("expl" etc.) and also to support "explore value" etc.).
> >
> > > The only thing that is slightly inconvenient is that the "question" is
> > > expecting input (the number of the branch to explore in) right in the
> > > middle of the gdb window, and that's not a very economical usage on
> > > the window space, expecially in gdb-many-windows, since the answer is
> > > usually just one digit/letter.
> >
> > Hmm.. I'm not sure I understand: are you saying the cursor is moved to
> > the middle of the window?  Because I don't think Emacs does that, and
> > GDB doesn't seem to do that, either.
> >
> > Can you show a screenshot of this?
>
>
>
> --
> Yours sincerely, Vladimir Nikishkin

-- 
Yours sincerely, Vladimir Nikishkin